#
# spec file for package malaga
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           malaga
Version:        7.12
Release:        63.3
Summary:        A Grammar Development Environment for Natural Languages
License:        GPL-2.0+
Group:          Productivity/Text/Spell
Url:            http://home.arcor.de/bjoern-beutel/malaga
Source:         %{name}-%{version}.tar.bz2
Source99:       baselibs.conf
Patch0:         malaga-7.12-verbose.patch
# PATCH-FIX-FEDORA malaga-rename-map_file.diff bnc#641649 redhat#502546 sourceforge#2802548 sbrabec@suse.cz -- Fix symbol clash with samba.
Patch1:         malaga-rename-map_file.diff
BuildRequires:  gtk2-devel
BuildRequires:  libtool
BuildRequires:  readline-devel
Requires:       libmalaga7 = %{version}
Requires(pre):  %{install_info_prereq}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Malaga is a software package for the development and application of
grammars that are used for the analysis of words and sentences of
natural languages. It contains a programming language for the modelling
of morphology and syntax grammars.

Malaga is based on the grammatical theory of the "Left Associative
Grammar" (LAG), developed by Roland Hausser, professor for
Computational Linguistics at University of Erlangen, Germany.

%package -n libmalaga7
Summary:        Malaga Library Files
Group:          System/Libraries

%description -n libmalaga7
Libraries to work with Malaga Grammar Environment.

%package -n libmalaga-devel
Summary:        Include Files and Libraries mandatory for Development
Group:          Development/Libraries/C and C++
Requires:       libmalaga7 = %{version}

%description -n libmalaga-devel
This package contains all necessary include files and libraries needed
to develop applications that require these.

%prep
%setup -q
%patch0
%patch1 -p1

%build
autoreconf -f -i -v
%configure \
	--with-pic \
	--disable-static
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
mkdir -p %{buildroot}%{_datadir}/emacs/site-lisp
mv %{buildroot}%{_datadir}/malaga/malaga.el %{buildroot}%{_datadir}/emacs/site-lisp
find %{buildroot} -type f -name "*.la" -delete -print

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%post -n libmalaga7 -p /sbin/ldconfig

%postun -n libmalaga7 -p /sbin/ldconfig

%files
%defattr (-,root,root)
%doc CHANGES.txt GPL.txt README.txt
%{_bindir}/*
# Empty directory reserved for malaga descriptions:
%dir %{_datadir}/malaga
%doc %{_infodir}/malaga.info.gz
%doc %{_mandir}/man?/*.*
%{_datadir}/emacs/site-lisp/*.el

%files -n libmalaga7
%defattr (-,root,root)
%{_libdir}/*.so.*

%files -n libmalaga-devel
%defattr (-,root,root)
%{_includedir}/malaga.h
%{_libdir}/*.so

%changelog
* Sun Jan 26 2014 tchvatal@suse.com
- Cleanup a bit during the voikko updates.
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Wed Nov 23 2011 jengelh@medozas.de
- Remove redundant/unwanted tags/section (cf. specfile guidelines)
- Use %%_smp_mflags for parallel building
* Wed Nov 23 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Wed Feb 23 2011 vuntz@opensuse.org
- Add missing baselibs.conf.
* Tue Oct 26 2010 sbrabec@suse.cz
- Change the (un)map_file functions to malaga_(un)map_file to
  prevent symbol clash with samba (Evolution with enchant-voikko +
  evolution-mapi). Patch by Harri Pitkänen from Fedora.
  (bnc#641649, redhat#502546 sourceforge#2802548)
* Tue Feb  3 2009 crrodriguez@suse.de
- remove "la" files
- fix -devel package dependencies
- do not strip binaries on make install, let debuginfo generation to
  handle it.
- allow verbose compilation
* Fri Jul 25 2008 sbrabec@suse.cz
- Updated to version 7.12 (bnc#394355):
  * malshow now uses cairo for drawing; line thickness grows with
    font size.
  * The Malaga executables now link the dynamic malaga library.
  * When using the command "help", the commands are now sorted
    columns-first, instead of lines-first.
  * Malaga may now be licensed by GPL version 2 or any later
    version.
  * Repaired project file name dialog in Malaga's Emacs mode.
  * The Makefile now uses LDFLAGS for linking.
  * Entering Ctrl-D to exit no longer causes a segmentation
    violation error.
- Spec file simplified.
- Disabled static library.
- libmalaga7-devel renamed to libmalaga-devel, as no file there has
  "7" in the name.
- malaga.el moved to the correct directory.
* Tue May 29 2007 ke@suse.de
- Initial package as prepared in
  http://build.opensuse.org/package/show?package=malaga&project=Office%%3AVoikko
  by Sami Vento: Version 7.9.
